=== modified file 'drizzled/definition/cache.cc'
--- drizzled/definition/cache.cc	2010-11-19 20:03:08 +0000
+++ drizzled/definition/cache.cc	2011-01-10 23:48:28 +0000
@@ -27,7 +27,8 @@
 #include "drizzled/session.h"
 #include "drizzled/identifier/table.h"
 #include "drizzled/definition/cache.h"
-#include "drizzled/definition/table.h"
+
+#include "drizzled/table/instance.h"
 
 namespace drizzled {
 

=== modified file 'drizzled/definition/cache.h'
--- drizzled/definition/cache.h	2010-11-19 20:03:08 +0000
+++ drizzled/definition/cache.h	2011-01-10 23:48:28 +0000
@@ -21,7 +21,7 @@
 #ifndef DRIZZLED_DEFINITION_CACHE_H
 #define DRIZZLED_DEFINITION_CACHE_H
 
-#include "drizzled/definition/table.h"
+#include "drizzled/table/instance.h"
 
 namespace drizzled {
 

=== modified file 'drizzled/include.am'
--- drizzled/include.am	2011-01-10 22:11:30 +0000
+++ drizzled/include.am	2011-01-10 23:48:28 +0000
@@ -65,7 +65,6 @@
 			      drizzled/data_home.h \
 			      drizzled/db.h \
 			      drizzled/definition/cache.h \
-			      drizzled/definition/table.h \
 			      drizzled/definitions.h \
 			      drizzled/diagnostics_area.h \
 			      drizzled/discrete_interval.h \
@@ -440,9 +439,11 @@
 			      drizzled/table.h \
 			      drizzled/table/cache.h \
 			      drizzled/table/concurrent.h \
-			      drizzled/table/singular.h \
+			      drizzled/table/instance.h \
+			      drizzled/table/instance/base.h \
 			      drizzled/table/placeholder.h \
 			      drizzled/table/shell.h \
+			      drizzled/table/singular.h \
 			      drizzled/table/temporary.h \
 			      drizzled/table/unused.h \
 			      drizzled/table_function_container.h \
@@ -512,7 +513,6 @@
 			   drizzled/current_session.cc \
 			   drizzled/cursor.cc \
 			   drizzled/definition/cache.cc \
-			   drizzled/definition/table.cc \
 			   drizzled/diagnostics_area.cc \
 			   drizzled/display.cc \
 			   drizzled/drizzled.cc \
@@ -814,6 +814,7 @@
 			   drizzled/table.cc \
 			   drizzled/table/cache.cc \
 			   drizzled/table/concurrent.cc \
+			   drizzled/table/instance/base.cc \
 			   drizzled/table/singular.cc \
 			   drizzled/table/temporary.cc \
 			   drizzled/table/unused.cc \

=== modified file 'drizzled/plugin/event_observer.cc'
--- drizzled/plugin/event_observer.cc	2010-12-04 02:59:00 +0000
+++ drizzled/plugin/event_observer.cc	2011-01-10 23:48:28 +0000
@@ -28,7 +28,7 @@
 
 #include "drizzled/session.h"
 #include "drizzled/table_list.h"
-#include "drizzled/definition/table.h"
+#include "drizzled/table/instance.h"
 #include "drizzled/module/registry.h"
 #include "drizzled/plugin/event_observer.h"
 #include <drizzled/util/functors.h>

=== modified file 'drizzled/table.h'
--- drizzled/table.h	2011-01-10 22:11:30 +0000
+++ drizzled/table.h	2011-01-10 23:48:28 +0000
@@ -33,7 +33,7 @@
 #include "drizzled/cursor.h"
 #include "drizzled/lex_string.h"
 #include "drizzled/table_list.h"
-#include "drizzled/definition/table.h"
+#include "drizzled/table/instance.h"
 #include "drizzled/atomics.h"
 #include "drizzled/query_id.h"
 

=== added directory 'drizzled/table/instance'
=== renamed file 'drizzled/definition/table.cc' => 'drizzled/table/instance/base.cc'
=== renamed file 'drizzled/definition/table.h' => 'drizzled/table/instance/base.h'
--- drizzled/definition/table.h	2011-01-10 22:11:30 +0000
+++ drizzled/table/instance/base.h	2011-01-10 23:48:28 +0000
@@ -23,8 +23,8 @@
   instance of table share per one table in the database.
 */
 
-#ifndef DRIZZLED_DEFINITION_TABLE_H
-#define DRIZZLED_DEFINITION_TABLE_H
+#ifndef DRIZZLED_TABLE_INSTANCE_BASE_H
+#define DRIZZLED_TABLE_INSTANCE_BASE_H
 
 #include <string>
 
@@ -726,4 +726,4 @@
 
 } /* namespace drizzled */
 
-#endif /* DRIZZLED_DEFINITION_TABLE_H */
+#endif /* DRIZZLED_TABLE_INSTANCE_BASE_H */

